<?php
include_once ('../core/base.php');
$header = 'Управление блокировками';
include_once ('../core/head.php');

falseauth();
mod();

switch($act){
default:
	echo '<div class="b">';
	echo '<div class="title">Список блокировок</div>';
	$count = $base -> query("SELECT * FROM `ban` WHERE `time_ban` > '".time()."'") -> num_rows;
	$k_page = k_page($count,10);
	$page = page($k_page);
	$start = 10*$page-10;
	$q = $base -> query("SELECT * FROM `ban` WHERE `time_ban` > '".time()."' ORDER BY `time` ASC LIMIT $start, 10");
	while($row = $q -> fetch_assoc()){
		if($row['blocked'] == 'all') $banned = 'заблокирован';
		else $banned = 'заткнут';
		echo '<div class="event">';
		echo 'Игрок '.name($row['id_user']).' '.$banned.' до '.tm($row['time_ban']).'<br/>';
		echo 'Заблокировал(а): '.name($row['id_ban']).' <br/>';
		echo 'Причина: '.$row['reason'].' <br/>';
		echo '<a class="btn_small" href="/panel/banned/delete/'.$row['id'].'">Разблокировать</a>';
		echo '</div>';
	}
	if($count == '0') echo '<br/><center>Список блокировок пуст.</center><br/>';
	if($count > '10') echo str('/panel/banned/all/?',$k_page,$page);
	echo '<a class="btn" href="/panel/"><img src="/images/icons/back.png"> Назад</a>';
	echo '</div>';
break;
case 'block':
	$id = fl($_GET['id']);
	$a = $base -> query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1") -> fetch_assoc();
	if($a == 0) header('Location: /panel/banned/');
	if(isset($_REQUEST['success'])){
		$block['id_user'] = fl($id);
		$block['id_ban'] = fl($u['id']);
		$block['reason'] = fl($_POST['reason']);
		$block['blocked'] = fl($_POST['blocked']);
		$block['ban'] = fl($_POST['ban']);
		$block['time_ban'] = fl($_POST['time_ban']);
		$block['time'] = time();
		# CHECK #
		if($block['time_ban'] == 'minutes') $tm = time() + ($block['ban'] * 60);
		elseif($block['time_ban'] == 'hour') $tm = time() + ($block['ban'] * 3600);
		elseif($block['time_ban'] == 'day') $tm = time() + ($block['ban'] * 86400);
		elseif($block['time_ban'] == 'week') $tm = time() + ($block['ban'] * 604800);
		
		if(empty($block['reason'])) error('Введите причину блокировки.');
		elseif($id == $u['id']) error('Нельзя блокировать себя.');
		elseif($id == 1) error('Смешно.');
		else {
			$base -> query("INSERT INTO `ban` SET 
			`id_user` = '".$block['id_user']."', 
			`id_ban` = '".$block['id_ban']."', 
			`reason` = '".$block['reason']."', 
			`blocked` = 'all', 
			`time_ban` = '".$tm."', 
			`time` = '".$block['time']."'
			");	
			$base -> query("INSERT INTO `admin_log` SET `id_adm` = '".$u['id']."', `message` = 'Мною был заблокирован игрок под ником ".name($block['id_user'])."', `time` = '".time()."', `section` = '2' ");
			header('Location: /user/'.$id.'/');
		}
	}
	echo '<div class="b">';
	echo '<div class="title">Заблокировать '.$a['login'].'</div>';
	echo '<center>';
	echo '<form method="POST" action="">';
	echo 'Причина блокировки:<br/>';
	echo '<textarea name="reason"></textarea><br/>';
	//echo 'Тип блокировки:<br/>';
	//echo '<select name="blocked">';
	//echo '<option value="all">Полная блокировка</option>';
	//echo '<option value="mute">Молчание</option>';
	//echo '</select><br/>';
	echo 'Число блокировки:<br/>';
	echo '<input type="text" name="ban"/><br/>';
	echo 'Время блокировки:<br/>';
	echo '<select name="time_ban">';
	echo '<option value="minutes">Минуты</option>';
	echo '<option value="hour">Часы</option>';
	echo '<option value="day">Дни</option>';
	echo '<option value="week">Недели</option>';
	echo '</select><br/>';
	echo '<input type="submit" name="success" value="Заблокировать"></br>';
	echo '</form>';
	echo '</center>';
	echo '<a class="btn" href="/panel/banned/"><img src="/images/icons/back.png"> Назад</a>';
	echo '</div>';
break;
case 'delete':
	$id = fl($_GET['id']);
	if(empty($id)) header('Location: /panel/banned/');
	$base -> query("DELETE FROM `ban` WHERE `id` = '".$id."'");
	$base -> query("INSERT INTO `admin_log` SET `id_adm` = '".$u['id']."', `message` = 'Мною был разблокирован игрок под ником ".name($id)."', `time` = '".time()."', `section` = '2' ");
	header('Location: /panel/banned/');
break;
}

include_once ('../core/foot.php');
?>